# TODO:
# - packaging of
#        /usr/bin/tox
#        /usr/bin/tox-quickstart
# - fix tests on builders

# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		module	tox
Summary:	Virtualenv-based automation of test activities
Summary(pl.UTF-8):	Oparta na Virtualenv automatyka testów
Name:		python3-%{module}
Version:	4.25.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/tox/
Source0:	https://files.pythonhosted.org/packages/source/t/tox/tox-%{version}.tar.gz
# Source0-md5:	8da662b8619bb9960d4b17cb06d713ae
URL:		https://pypi.org/project/tox/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-chardet
BuildRequires:	python3-devpi-process
BuildRequires:	python3-filelock
BuildRequires:	python3-flaky
BuildRequires:	python3-modules
BuildRequires:	python3-pluggy
BuildRequires:	python3-virtualenv
BuildRequires:	python3-pytest >= 2.3.5
BuildRequires:	python3-pytest-timeout
BuildRequires:	python3-py
%endif
Requires:	python3-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tox is a generic virtualenv management and test command line tool you
can use for:
- checking your package installs correctly with different Python
  versions and interpreters
- running your tests in each of the environments, configuring your
  test tool of choice
- acting as a frontend to Continuous Integration servers, greatly
  reducing boilerplate and merging CI and shell-based testing.

%description -l pl.UTF-8
Tox jest ogólnym, operatym na virtualenv narzędziem linii poleceń
które może być użyte do:
- testowania czy pakiet instaluje się poprawnie z róznymi wersjami
  Pythona
- uruchamionia testów dla każdego ze środowisk, konfigurując narzędzia
  testowe
- jako frontend dla serwerów Continuous Integration,

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/tox
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Fri Mar 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-tox.git;a=log;h=master

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> 00ba8ea
- up to 4.25.0

* Sat Mar 15 2025 Jan Rękorajski <baggins@pld-linux.org> 6cbf46b
- up to 4.24.2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> cd96447
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6e1c694
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> a335976
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0d7ecfe
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f291cb3
- rebuild with python 3.10

* Sun May 23 2021 Jan Rękorajski <baggins@pld-linux.org> 9ccf3ca
- strange virtualenv reqs daze and confuse rpm dep generator, bring some sanity there
- rel 2

* Thu Apr 08 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> ec3b4bc
- up to 3.23.0

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> de74319
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 8495a90
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Jul 29 2018 Jan Rękorajski <baggins@pld-linux.org> 8331248
- up to 3.1.2

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9030ae8
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b9c24c
- python 3.6
- release 4 (by relup.sh)

* Thu May 26 2016 Mateusz Korniak <matkor@pld-linux.org> a17b6a4
- rel.3 Tests need fixing when run on builders.

* Thu May 26 2016 Mateusz Korniak <matkor@pld-linux.org> 9c8d9d5
- BR: python-py added.

* Wed May 25 2016 Mateusz Korniak <matkor@pld-linux.org> 4e638ec
- rel 2. Updated BRs.

* Wed May 25 2016 Mateusz Korniak <matkor@pld-linux.org> ebc1127
- rel 2. Updated BRs.

* Wed May 25 2016 Elan Ruusamäe <glen@delfi.ee> 47bbc0f
- cleanups; adapter

* Wed May 25 2016 Mateusz Korniak <matkor@pld-linux.org> 492d659
- Initial version 2.3.1

